GNU bug report logs - #43609
28.0.50; eldoc-documentation-function

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: martin rudalics <rudalics@HIDDEN>; dated Fri, 25 Sep 2020 08:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43609 <at> debbugs.gnu.org:


Received: (at 43609) by debbugs.gnu.org; 29 Sep 2020 15:09:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 11:09:41 2020
Received: from localhost ([127.0.0.1]:56930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNHG9-0002NJ-D3
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 11:09:41 -0400
Received: from mout.gmx.net ([212.227.17.22]:40421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kNHG7-0002N3-G6
 for 43609 <at> debbugs.gnu.org; Tue, 29 Sep 2020 11:09:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1601392173;
 bh=g/67/bNsroWy34skvJmuXWCUU3vZ4l5UsKAIu6iuwrM=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=FG7bws0ysIxH4MGF6fwBjp2/luhqPGuDQQ2sIkpIAT9sxML33XofTjmDVuAlkJurq
 VKrFuQykzLd6XRCGFTrCXLejE4txaut7SlnmeQHzsrjInDa5EeV2VMnI124ExsYBbB
 zVqStY7IRHGIczoxtrbGZ9+IQmMvXZjbRkoCER68=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.51]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MQMyf-1k0xBc0fJJ-00MK06; Tue, 29
 Sep 2020 17:09:33 +0200
Subject: Re: bug#43609: 28.0.50; eldoc-documentation-function
To: Dmitry Gutov <dgutov@HIDDEN>, 43609 <at> debbugs.gnu.org
References: <2e610c3f-6e5f-c7dd-af2e-aeb5e20d8664@HIDDEN>
 <d74ec0eb-f7d7-9ed8-936d-80e89ec09d75@HIDDEN>
 <89a118cf-65e1-5e9f-0884-577a52ca115e@HIDDEN>
 <dd7c4d8e-6bb0-1e6d-674c-99d97b7e330a@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <74e25bf7-e7ad-a0e7-3fe5-36ea6afbace5@HIDDEN>
Date: Tue, 29 Sep 2020 17:09:31 +0200
MIME-Version: 1.0
In-Reply-To: <dd7c4d8e-6bb0-1e6d-674c-99d97b7e330a@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ViRwmV3BQ5hs85jpYhJwCKa+VLjtsE68zh9ZjOnq3EYdnIWmbrE
 5awe1gTBOa51PYavSayOh55HXOTER92je7H85X6JyGkTKwVMyX/BdrKQkMwHu2VFmwSLqbb
 QKEOacao97hQfYG971hfuPLP9d18JIXfB6RC+tGSGMGncs8QbHDsi6U4egFGPL5HnSJyh3t
 tnXbWhhRmCLkXY51JIcFQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+DF1w9LkjO4=:zbUNmDMPYj7TfHdvQvv25h
 DOH1ovWehh7albh8fPNcYcVZzEukrzeDtsQrejwf8fihZI/AZTs/rXOB+uWhKFOCU7IEokvv4
 q0sDsDsl7LoLgaAtVEZfpPpqF2ExqbpEjG6vaSSqg6FwCDweVU6QCdLQVEc4T/icXNezjXraD
 OMsVt6EFdCU7AgIcMRBX6+IMZ+7XP8zT5olbBj44JYoudzrCWgJ7/xkJ82zDo6fJkF+7c5dNm
 yKlNohgt3Ot3S3H8QpyU8k2Ld+ifMLx6XYasezMfG9sCZepOJZIQrqoHZBr2/5NljyYCGCJ3f
 NvxeAXK2ez9O/+UiP54D+8zWNhOZuzko6CvWbb1w0pTf8Veuk0tYlX2PFn1+TWhaLO/71N8ae
 07l1u3oweKg8Jv4GFX1Xx9x77dji93/sN96LjDFcFLyczl6KWl/jg/Y6eFvfsVRIqM0zBz86b
 TY9szmVcKUYopY6MMzquzwWEpPpuYACZyrFVu1zWsxOPJxMBavgO5tUGvQUzAQEpnmK7pLYWN
 1JQJAac4xWS1zfsoKXBGLQNAODVH/PcUZpZW1pfKRtk3hNf6Z3QKMZg1IfY+FZM8IkSmbYQpP
 1TCSSb6lFb6gnv7E1Bb40MWS2LmTVk3TWpeN/k8HDc1kTR8CowNqA60owTMLCzuXAXTdZ49kJ
 Sm8LUe2X/X3vPULcWVMAaMxJuShH1VlY6q9hVmiuGlFGa8wx3bggNdfahbyU4WQabhdsPJiLE
 ksMq1QmIFr8X9wmMB+eb0c4JXaePoj1ia7Iskpk0PdqgQaPBL5zky4N0aVfBsWF5sJzaxQ/aL
 KYE83CORZXbwLGNWpk4jHON0fGQ1ofgV2QFhJ9aAR7LuOCYLKBXpUo2xc1YGGvN+A1zYhDtnk
 1lv5tdW2oidSRGlEfCRqYNCunsWYRdEwq81Grn7B5wtNfgRkY2zWRpd30kABRplbvOeZShXjf
 7wJjwepqbcVsUPgA3MNGVXZCHjBhFxnlBJdlpqRYgKV8ryvOBSVk5/aZo+HFNLqRLeuj6nUlb
 zcuGGOP/QyKvNoeV6QK9SqunQu73+Yv+i/UOw6WdIWJVaqQvfq3aNKpWio/4BMoljJSiH197m
 Az5wsIGsKtacRXap5p+E4/AoZ7LSh1uTBa40rbfND2WFxHav4uo8sjY2FArLZfeeP0BGUCklK
 FFiZD96hz9B0OM9jm8ygNDkVc+1iDe8Gh7Elg9NQMSRZ9AOvTLyEdX6bayfsirR3OOQdz4GvE
 pi6QJoiMK+5ey9GKZe6BEkT8W5fMl8Q20TQHMRA==
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 43609
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > Hooks is a list of functions. They get called to fetch the doc
 > information. And now there is some logic called "strategies" that
 > combines the results.

So 'eldoc-documentation-functions' just holds a list of functions I
could call in order to get the documentation of the object at point?
How does the notion of a "hook" enter here?

 > No, the hook functions are written already. They are basically a list
 > of functions that were previously the values of
 > eldoc-documentation-function. Except it's now a list. *And* they use
 > an asynchronous convention where the first argument they receive is a
 > callback.

Is there a way to drop that callback?  I just want an immediate answer.

 > It should work if your package learns to make use of the new
 > eldoc-documentation-functions hook. Or eldoc-documentation-strategy,
 > which calls them.

'eldoc-documentation-strategy' is a variable so it's probably the
function that is the value of that variable and it should suffice to use
'eldoc-documentation-default'.  But this failed here before.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43609; Package emacs. Full text available.

Message received at 43609 <at> debbugs.gnu.org:


Received: (at 43609) by debbugs.gnu.org; 29 Sep 2020 11:20:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 07:20:36 2020
Received: from localhost ([127.0.0.1]:55045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNDgS-0002II-Kb
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 07:20:36 -0400
Received: from mail-ej1-f46.google.com ([209.85.218.46]:47088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kNDgQ-0002I0-8e
 for 43609 <at> debbugs.gnu.org; Tue, 29 Sep 2020 07:20:35 -0400
Received: by mail-ej1-f46.google.com with SMTP id z23so14373824ejr.13
 for <43609 <at> debbugs.gnu.org>; Tue, 29 Sep 2020 04:20:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=MtaOh+5wciMdkxvBmchNdhuOmHQGmKOd+rscboHZToU=;
 b=DuUBlHsKakw2trH/1WWYDIT9/yTc7Ht7W5O1EONu1FfqbATBzpPndzCTlldFP8kzXO
 cvWJQ5YLCirvy9KJLSoBD4NmqXwRTLWtC2loadLD91C7u/LogjwTU1NKQBDEWG1KQDuI
 jYhdQbSqROvz6a0L298LfIXNhpybvwMRJMxiIP59KCLbEs5ljnHsBHL6hDNizR5kG/LQ
 hbpGjaSC6Fl28dxrFVtHxpMZfuokcDIjflMLGDb1mI47jX9UADzFYyQeUfCv0ebN2r7t
 GWKpIFPyAhlqcZReMNntq+xdUecHQffdDnBNcfPh+RjobyhQQiR23+aZ5lSIY4sKxZgh
 foWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=MtaOh+5wciMdkxvBmchNdhuOmHQGmKOd+rscboHZToU=;
 b=GZT4saRp7nEGRoMz2e/ytcEhDiC71a/hJ1YrgvWXZgIdHCCeohoCzNoZRLBEky6XrN
 km9l73CBtn4VYb42ow6DojweUS/ZQKk8+/I3asU0BW/mNWwuWncjTVOUZdFPDolVKSeK
 IBnYEZFZztEi1JKEwg7DI1nQjTT7bO1iYH+xcxK2qkzsXsMxEChFD48HhvJUi1uyIpjM
 28Rwwi579cLhgoluZr2zVaf0YfP0q9u3j982x+CZtGzV36ji9K9h1ioAFidEbdUc4mBg
 IALyp4M2K5ceRTrHqok3G2S7ybTrjey+U0JunF9DBMwWAFhnudVbqQDEVqr0XoF2NJO8
 BuKw==
X-Gm-Message-State: AOAM530enwcU3zsvhbf19RtlzrcqV3X+7K4kD4fGT3Ox5G//GkM4r53i
 SC37f0ntMUAXLaZo0Ntsmj3IsO6QbrZ17w==
X-Google-Smtp-Source: ABdhPJwJOVAg8pH7I1u2zWF3xOHCqEdbH8S9/aDazRKq8YupMso/fgAx3bmwI4A3UCeZXoeqo9sDmQ==
X-Received: by 2002:a17:906:f157:: with SMTP id
 gw23mr3219089ejb.325.1601378427529; 
 Tue, 29 Sep 2020 04:20:27 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id r9sm4662999ejc.102.2020.09.29.04.20.25
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 29 Sep 2020 04:20:26 -0700 (PDT)
Subject: Re: bug#43609: 28.0.50; eldoc-documentation-function
To: martin rudalics <rudalics@HIDDEN>, 43609 <at> debbugs.gnu.org
References: <2e610c3f-6e5f-c7dd-af2e-aeb5e20d8664@HIDDEN>
 <d74ec0eb-f7d7-9ed8-936d-80e89ec09d75@HIDDEN>
 <89a118cf-65e1-5e9f-0884-577a52ca115e@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <dd7c4d8e-6bb0-1e6d-674c-99d97b7e330a@HIDDEN>
Date: Tue, 29 Sep 2020 14:20:24 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <89a118cf-65e1-5e9f-0884-577a52ca115e@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43609
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 27.09.2020 11:30, martin rudalics wrote:
>  > You might want to read the docstring for
>  > eldoc-documentation-functions, in particular the part where "Each hook
>  > function is called with at least one argument CALLBACK".
> 
> That was the first thing I tried to do.  For beginners, I don't know
> what a "Hook of functions" is.  And I completely fail to understand what
> a "hook function" in this context is and when and why it gets called.

Hooks is a list of functions. They get called to fetch the doc 
information. And now there is some logic called "strategies" that 
combines the results.

> In short, I completely fail to understand the logic behind this
> variable.  All I know is that I do not want to write a hook function and
> I do not want to get called by any agent here.

No, the hook functions are written already. They are basically a list of 
functions that were previously the values of 
eldoc-documentation-function. Except it's now a list. *And* they use an 
asynchronous convention where the first argument they receive is a callback.

>  > I agree that the latest changes make Eldoc gratuitously more complex,
>  > though. You can read bug#41531, where they started.
> 
> I never read that thread (it started around a time when my mailboxes
> were thrashed due to almost simultaneous crashes of two of my mail
> receiving machines) and I subsequently had to drop a few thousands of
> mails I received earlier.  I've still not recuperated from that state.

I see. There is another email I sent to you a few months ago (about 
pop-up-mini-mode) that was also without response. I'll resend.

> I now spent more than an hour reading that thread and am as clever as
> before.  The first post in that thread seems to say everything already:
> 
>    This enables eldoc.el to exert control over how (and crucially also
>    when) to display the docstrings to the user.
> 
> In a nutshell: With eldoc-tooltip it's me and only me who decides when
> and how to display a doc string.  I do not want to leave this decision
> to a package that tries to judge whether and when that Procrustean bed
> called echo area is ready to display that doc string, whether and how to
> truncate it and when to make it disappear.  Sadly, this doesn't work any
> more in Emacs 28.  Maybe there's a simple solution to my problem but
> nobody pointed me to it so far ...

It should work if your package learns to make use of the new 
eldoc-documentation-functions hook. Or eldoc-documentation-strategy, 
which calls them.

Needless to say, I'm sure the design I advocated in the referenced 
discussion would have had better discoverability and would have been 
easier to handle in your case as well, especially regarding backward 
compatibility.

But since it has received little support, I'll leave this discussion up 
to Joao and those others who approved the current state of affairs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43609; Package emacs. Full text available.

Message received at 43609 <at> debbugs.gnu.org:


Received: (at 43609) by debbugs.gnu.org; 27 Sep 2020 08:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 04:30:56 2020
Received: from localhost ([127.0.0.1]:48266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMS5A-0004Nu-7T
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 04:30:56 -0400
Received: from mout.gmx.net ([212.227.17.22]:46621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kMS56-0004Ne-Tr
 for 43609 <at> debbugs.gnu.org; Sun, 27 Sep 2020 04:30:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1601195446;
 bh=1+SfY9K5YgvcZUUL630NChr0m/WSQgkfvvlTDIFL0I0=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=iGZRN7d/trQU6VhyhauYc83PiN4Y8zTmh1yaavALV7tIh42THEG3pBgEjBKE0RID6
 s0Jrfkw6v6FwQShzUci65SEGMAZaQfRwltt9Nd+hefS2feyRzAmd1J3G3qZyL3At6o
 JpMsmSnbR6xXCPZFv4BRkSGtBzPHNxbqyFWezIuE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.254]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mgeo8-1kugtm2fng-00h8ms; Sun, 27
 Sep 2020 10:30:46 +0200
Subject: Re: bug#43609: 28.0.50; eldoc-documentation-function
To: Dmitry Gutov <dgutov@HIDDEN>, 43609 <at> debbugs.gnu.org
References: <2e610c3f-6e5f-c7dd-af2e-aeb5e20d8664@HIDDEN>
 <d74ec0eb-f7d7-9ed8-936d-80e89ec09d75@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <89a118cf-65e1-5e9f-0884-577a52ca115e@HIDDEN>
Date: Sun, 27 Sep 2020 10:30:45 +0200
MIME-Version: 1.0
In-Reply-To: <d74ec0eb-f7d7-9ed8-936d-80e89ec09d75@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Xh6C/dseGkg8i2iZo6FBUIctwHBLNint4+MF/kka8t1Dit2L6s7
 A+dRIszW9VZwU3yYWt9jD1r9NxE+r6D1YkDBxEHvva1hqax1bSOFmjCz5IzuS/DC2LYYn2s
 H4pNFIgMjtnmhTtrqB08jEAtoR/9kWY6tp5sulj0j+UVBBgZYGqm2u4UvVUxqd+NLeDkxpj
 Srs4UjiyfAYtsO+9xzCEQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:y4lZTZnAkrs=:xCB/W3QaCZrs9dA0zHON8J
 x79sDlvAqmwWkw0ekPGhYWLZJ3C+TVWFH/9s5UjudhxHfLJ7qO6PaH2JSf5y7E42/QREBh9wS
 WJoZWvegN/CpKDtb3yzLVlK5RHlSeBZT5CR5ttYJ+NlGBcQ5X01qjrENPjCUAMnikDivtKUD6
 mfBSuSoPO1THE/6+1CSVC700qUfAIgZyBiOn7mQNdznTSHqE/QDgedbT1TrsHzGqWac+Yq2R4
 j1WDIGeO8NyXJ3Pl0eTSpoYWAsbGrdcVBcVEb6H4+wYYR/cDdP66bkrY7v5hA0ILuX367Vg0/
 7A9T+2JknWFjj+8BJ9THHwekKhFtn2qgPdQjkcWDUCXkvnRyvwE+W0q5B+rk0GzyNwiYxVVyT
 HrwfxjfuJNYu+QvDcDAs2QsoVuUS2Qx9LvhprzTDzpCpEC9AupdL2Td6vaVei9Ga0twSKs9D/
 8JCk2iX6x74fN+SxeYcGKsI8NWR1rfmZdmk0ppgcCB8GVsvIkxhEe/1puc3KoYU6uITgH/ZXi
 swuNVKi94PGYDO5hWlKOBnarPUEUVHVlzyfkMth/CEMwxltYJyLKoJjrG+c6PskkBkg8mla9C
 OKfmw/I00YBCEi3CxDcW138Xk65p4KYMxS6hncz8h7LCFiFih0BqauEkN61IQUKZTYLkunO00
 hhBun85806mH99DP0AgibrBxtp6/A4qKt66LtH9K957Nkct9h5Sa/4pAKO/051Tgx5hlhht3r
 dvtDHqhMOzScKXLlYURwSS4vV9QMXGuzGqOQ3lqylIrJdJmUIz/2eEAY9CgMzyMlG/ni6XfM5
 16lE3tNhX0BYlEOXYNicG4W9LdFkSyQ3PqsaXEGrG7tiXfUYAmZZDXCiTlxWL5/y2SMMKqtdH
 hddJSNm9usufmTn3oVZOtK9Pn/YbSvl6aJz/P8zt0wuSKBGc1stehB3pGQkSaPdEc7l2h1qsH
 v4GadayxFF2U/5ve9VS9XCWN/35cdIHYeXKn6RGWsx/RvPOlCmIfHujEjTahHFuPOEbOvfEfD
 kfTzgdKaglryGye2trOYjhnA8bbEFwE69teyA9gVsfvkOUGgAR1Sxkgh2UypZQ7U1Pp/d+bIJ
 WRTodPUtBLnIWZbCA/9JG8ck10DMgHZYVi47DBQF1qe3pX0lXHWUhXb6glRRTfl3n8QM+WhZV
 ZdacTY94uYc9QDuth1/qPgY/da5xXcmragxlg/UTR3AJyy5DWidmzpNaEPj0xcvUbcO/Ew3PL
 JjJHoU/cBTEDrgxOHnH1wrxaaQnFDAjTe04UH5w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43609
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > You might want to read the docstring for
 > eldoc-documentation-functions, in particular the part where "Each hook
 > function is called with at least one argument CALLBACK".

That was the first thing I tried to do.  For beginners, I don't know
what a "Hook of functions" is.  And I completely fail to understand what
a "hook function" in this context is and when and why it gets called.
In short, I completely fail to understand the logic behind this
variable.  All I know is that I do not want to write a hook function and
I do not want to get called by any agent here.

 > I agree that the latest changes make Eldoc gratuitously more complex,
 > though. You can read bug#41531, where they started.

I never read that thread (it started around a time when my mailboxes
were thrashed due to almost simultaneous crashes of two of my mail
receiving machines) and I subsequently had to drop a few thousands of
mails I received earlier.  I've still not recuperated from that state.

I now spent more than an hour reading that thread and am as clever as
before.  The first post in that thread seems to say everything already:

   This enables eldoc.el to exert control over how (and crucially also
   when) to display the docstrings to the user.

In a nutshell: With eldoc-tooltip it's me and only me who decides when
and how to display a doc string.  I do not want to leave this decision
to a package that tries to judge whether and when that Procrustean bed
called echo area is ready to display that doc string, whether and how to
truncate it and when to make it disappear.  Sadly, this doesn't work any
more in Emacs 28.  Maybe there's a simple solution to my problem but
nobody pointed me to it so far ...

Thanks for the response, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43609; Package emacs. Full text available.

Message received at 43609 <at> debbugs.gnu.org:


Received: (at 43609) by debbugs.gnu.org; 26 Sep 2020 18:34:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 14:34:49 2020
Received: from localhost ([127.0.0.1]:47743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMF20-00034r-RS
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 14:34:49 -0400
Received: from mail-ed1-f51.google.com ([209.85.208.51]:35139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kMF1y-00034d-FF
 for 43609 <at> debbugs.gnu.org; Sat, 26 Sep 2020 14:34:48 -0400
Received: by mail-ed1-f51.google.com with SMTP id i1so5872326edv.2
 for <43609 <at> debbugs.gnu.org>; Sat, 26 Sep 2020 11:34:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=f0gzVycgjd1CJ3ay0vq8Ul/iQMbY0R1HGbTroQrCrr0=;
 b=mTTv/bNou1xKbw9Y4Dy2DCsX+KCx756T0l/HlCvdhDVguBa221xq9+jKuuXMLhgu1U
 ZhAyiYqSX9hFIWjRLJiBsEYfObnnEHZw5fAWSrwA0CIEpYfe9J0l041ZsIkqv664+2+2
 KeQS6Ka0O2HqMsZqv9zMxEQCdQ7JENYaqsuS22J3motNSuU/S3n5yVvc9cj4P/0jUEIi
 pp4ABuTeIglRxVTumio1G2EhXe7pO+sK6XeRMXLw3fxfkX0v5+6HnfxVAiCk8LI4gl1w
 vBrhHPgpoP1V3Q6fA6/RTuoOvzukQgi4sZ8NY1RJxEEqQSqM74OyK47qC8vLW3rCggbU
 Olmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=f0gzVycgjd1CJ3ay0vq8Ul/iQMbY0R1HGbTroQrCrr0=;
 b=lOm4trhbpYY0csoaYZzPda2D5l4fl5b01wRq7yBkTiAZXWcmM0okCgk06NOULwekBg
 x6IH/ynI17x0VcZ9ndZN1Q6m9MrUXSTgfiT+jKwpQZoay4t0R6Fgcuphw6qDtVWnqUFC
 xf5+nYUirI2J8b+FGrbM2nQZi4kv5UK+7jOket7472lgNiTcSfXZjAuOYfTlqzY4rN+N
 tZBEe9Hix0jh4vNReNjNvq0RC4KACR9UQslhgbKoABOOyJMiKsrxOUfjgM3AoyME5f2p
 bogIjNbE9/1HOS8HZH3ljgTIFqt5M/TGO4Ml85hpZc5nNredZPFaodI5cgE0+vR7xseC
 BlVg==
X-Gm-Message-State: AOAM5334W4SgNd+Pdqz5N7PByImAEBgmDrTbFeXQTpDfrsdaxnqlbofl
 6eppLWe3+IJ+oCVxa/+60ZJV+SbyDBgx5Q==
X-Google-Smtp-Source: ABdhPJzP/PCFzaf2z++in6PvHSFGoiEW5Sfw7e4TY/JrNjAXt2JcEjU+/rEYo8uah46bO0fMlsSWOQ==
X-Received: by 2002:aa7:c387:: with SMTP id k7mr7616884edq.242.1601145280373; 
 Sat, 26 Sep 2020 11:34:40 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id q26sm4574500ejr.97.2020.09.26.11.34.39
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 26 Sep 2020 11:34:39 -0700 (PDT)
Subject: Re: bug#43609: 28.0.50; eldoc-documentation-function
To: martin rudalics <rudalics@HIDDEN>, 43609 <at> debbugs.gnu.org
References: <2e610c3f-6e5f-c7dd-af2e-aeb5e20d8664@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d74ec0eb-f7d7-9ed8-936d-80e89ec09d75@HIDDEN>
Date: Sat, 26 Sep 2020 21:34:38 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <2e610c3f-6e5f-c7dd-af2e-aeb5e20d8664@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43609
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Martin,

On 25.09.2020 11:46, martin rudalics wrote:
> When with emacs -Q I put the following snippet into *scratch*
> 
> (defun foo ()
>    (ignore))
> 
> move point to somewhere on "foo" and do
> 
> M-: (funcall eldoc-documentation-function)
> 
> I get the following backtrace:
> 
> Debugger entered--Lisp error: (void-function nil)
>    nil(:patient)
>    eldoc--make-callback(:patient)
>    eldoc-documentation-default()
>    funcall(eldoc-documentation-default)
>    eval((funcall eldoc-documentation-function) t)
>    eval-expression((funcall eldoc-documentation-function) nil nil 127)
>    funcall-interactively(eval-expression (funcall 
> eldoc-documentation-function) nil nil 127)
>    call-interactively(eval-expression nil nil)
>    command-execute(eval-expression)
> 
> If I do the same thing with Emacs 27 I get
> 
> #("defun: (NAME ARGLIST &optional DOCSTRING DECL &rest BODY)" 0 5 (face 
> font-lock-keyword-face) 8 12 (face eldoc-highlight-function-argument))

You might want to read the docstring for eldoc-documentation-functions, 
in particular the part where "Each hook function is called with at least 
one argument CALLBACK".

I agree that the latest changes make Eldoc gratuitously more complex, 
though. You can read bug#41531, where they started.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43609; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2020 08:46:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 25 04:46:47 2020
Received: from localhost ([127.0.0.1]:42584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kLjNO-0005dN-Pz
	for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 04:46:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:53196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1kLjNM-0005dF-DF
 for submit <at> debbugs.gnu.org; Fri, 25 Sep 2020 04:46:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51730)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rudalics@HIDDEN>) id 1kLjNM-0005hy-1z
 for bug-gnu-emacs@HIDDEN; Fri, 25 Sep 2020 04:46:44 -0400
Received: from mout.gmx.net ([212.227.17.21]:46407)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rudalics@HIDDEN>) id 1kLjNJ-0004pL-Ur
 for bug-gnu-emacs@HIDDEN; Fri, 25 Sep 2020 04:46:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1601023598;
 bh=ux6g/DcgUWBPePOuPDATa+rr2a+9+Ht0zGyQYJRUKSA=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=Ga9tDjY1FSog1DgWEM+s4upf+bDcwMosQoPVL7/DQA7jUMvf2nHWxuePEzjVlQAcs
 ztKzrbsOE3DWVljifzSNfe5C9fuftMmyRpnanw1PIL9WB36J55U3SsWIe/gz2dpRIe
 6uweDbDXQdbKZRT9OMNrVC3uyeRpKo4Gq5gOsE9M=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.208]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Ma20q-1jygAs0tRE-00W1cx for
 <bug-gnu-emacs@HIDDEN>; Fri, 25 Sep 2020 10:46:38 +0200
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Subject: 28.0.50; eldoc-documentation-function
Message-ID: <2e610c3f-6e5f-c7dd-af2e-aeb5e20d8664@HIDDEN>
Date: Fri, 25 Sep 2020 10:46:36 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:As8GgN/sYarJwQx1stpXulBBAL/JUiJlf0vH0zxgz84s6a4OO/J
 mG/ZuIWH0L9+QCSLVU9lanQ/iNJJwywY4vr4QDu41qfKqX5QDDyF9s1jj4+UNhSpCtvau/l
 V2hHEEBjkL4kADyM12nYmwUSVV9kQeSPu/4D/kg0ZeQbU4g1nou4H51ec3pHHzKAL2FedVP
 a4sQX5HidiIkuWyH0KJPA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2KJlYe+cdXE=:eQ7DopDfQ42LuzqqDQdG+q
 O7Mf8t8GiRqYcZ0G+fuBx/H9moblWTUA4NO9N1JomeufI0QSYIPNQAbrFO0ztYWIjJwPRvR5r
 4Cz5GnvDOshANMd+PzpidlVUfkXLvdNFRxh/uaeyVEKCFkzVRULg792EGNmx1a7f3+7mm1qln
 K/moMOjBO2fq7+1qpCbqdwIGaqV3cCTCK//ajdtUZ8hKpiGi3u/7LVIqGIuF9WaKbJxR+URit
 utlpySyL0+QWExNYNpGozKLmUSlA4ThqnWzjdGJbyhU2g2Zp5QiM+iZBwMQpgymAMp1uYpG7q
 9gkFzTsSbqwgOEoUC25dfA0PeAlApnybOvL1OUCVk/ApxLoxlYDVAIgcqOfLDPevDCCTxwyOR
 BNGV4SNhifYYUtd2jIcMUKdas+HRgmmmfU3Ob0E2p6rMwaE/kaRgVBvXSQ+pyeRaW+a0uhgWw
 zjV6HtbSjdV81v0b/dUDSYKDV5TdICV2QRrIfrXzRt47i7nMGzysLME7sswlaY+ODyjD6p9a2
 goE3zngVkBxAsF84Vhry5nKAuY+lVYW9Q/yFzAu4KnHFDbV7lfu8s+T+il5LgiwG8IbiZkNV1
 rboZMXSbDvdWutxtRTKGoioCYMGGH4yjchkZ+CYkEr4JTgJXGAms9mz9T1dsCrttlVIDOt+LE
 MmpWHoctAjzt7bRCDgKLhtCr0x2yjCBmAzyoGEqs+9sTwsn8fPk8LaLY2JTLIiX+Oy0Vojzps
 o5PEZTjK+BdcMQWs0v+YtfNm2H0N1hFZOreX5m98buOEMk+FyVOctLvZk7p8hJxzxf8zIG0ES
 3pN0+YmeRKyOTq/DkZL/YEUYP+01ADv4v5XSnkRwwZ9O8UkYsS0aZWrAG1opI8D6SCv9vivvD
 m+pKQACooY8UIQEyJdY0O/2Nk2rGSvDSc+lz0KzzhDnuC+FwRTMcFFyJXY/YAkZ7WaMNBz6pm
 xAw78jhS0tEeIqT/U6zliMLxgL0SEqHUlyWDCUBbQzkDrq7odwqmAYtCMqBLUo7xt/satbXR7
 drPBvwYefzo+VpuQKeZNbh4kpkOq27Dxp7TSakHJIflGpldwqj6c6ou4A2DB2mb/nUi8KfwVl
 YzUh8xbd5/0oH1ugUY73+PXmkuUe9kJMu87hUjvoBATrN2PUvQ7RboQTcxSoeS57+TTFXf0bP
 fnIsq8c4lOBLt3j8jvAgS2Dc9DPeMP18qTn9+WdhB2TjdN7T7reRH2lkeb9w8FUpY7LJbJDzC
 0n6qdkE2d9zHj1eWcmbkE1eWEXdcAdzCLlDdhjXDIA/Wubevt22BPgOSHYTc=
Received-SPF: pass client-ip=212.227.17.21; envelope-from=rudalics@HIDDEN;
 helo=mout.gmx.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/25 04:46:38
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic]
X-Spam_score_int: 7
X-Spam_score: 0.7
X-Spam_bar: /
X-Spam_report: (0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001,
 RCVD_IN_SBL_CSS=3.335, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: When with emacs -Q I put the following snippet into *scratch*
 (defun foo () (ignore)) move point to somewhere on "foo" and do 
 Content analysis details:   (4.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.208 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=rudalics%40gmx.at; ip=209.51.188.17; r=debbugs.gnu.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  When with emacs -Q I put the following snippet into *scratch*
    (defun foo () (ignore)) move point to somewhere on "foo" and do 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.208 listed in zen.spamhaus.org]
  0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=rudalics%40gmx.at;ip=209.51.188.17;r=debbugs.gnu.org]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

When with emacs -Q I put the following snippet into *scratch*

(defun foo ()
   (ignore))

move point to somewhere on "foo" and do

M-: (funcall eldoc-documentation-function)

I get the following backtrace:

Debugger entered--Lisp error: (void-function nil)
   nil(:patient)
   eldoc--make-callback(:patient)
   eldoc-documentation-default()
   funcall(eldoc-documentation-default)
   eval((funcall eldoc-documentation-function) t)
   eval-expression((funcall eldoc-documentation-function) nil nil 127)
   funcall-interactively(eval-expression (funcall eldoc-documentation-fun=
ction) nil nil 127)
   call-interactively(eval-expression nil nil)
   command-execute(eval-expression)

If I do the same thing with Emacs 27 I get

#("defun: (NAME ARGLIST &optional DOCSTRING DECL &rest BODY)" 0 5 (face f=
ont-lock-keyword-face) 8 12 (face eldoc-highlight-function-argument))

The doc-string of 'eldoc-documentation-function' with Emacs 27 was:

   Function to call to return doc string.
   The function of no args should return a one-line string for displaying=

   doc about a function etc. appropriate to the context around point.
   It should return nil if there=E2=80=99s no doc appropriate for the con=
text.
   Typically doc is returned if point is on a function-like name or in it=
s
   arg list.

The doc-string with Emacs 28 says

   For backward compatibility to the "old" protocol, this variable
   can also be set to a function that returns nil or a doc string,
   depending whether or not there is documentation to display at
   all.

But it does not tell _how_ to do that in order to get the string
returned by Emacs 27 and I already spent a couple of hours trying.

I am using a package that displays the string produced by that
function in a tooltip near point.  This package now ceased to work
with the backtrace shown above.  Please help me to make that
package work again, either by optionally restoring the old
functionality of (funcall eldoc-documentation-function) or by
providing another function I could call instead.  The present
situation makes it currently impossible for me to use master.

Thank you, martin


In GNU Emacs 28.0.50 (build 1, i686-pc-mingw32)
  of 2020-09-16 built on NOREST
Repository revision: f028a893a552b0c38c35f949addb6a891e8586cc
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Configured using:
  'configure --prefix=3D/c/emacs-git/trunk/dbg --with-gnutls=3Dno
  --without-pop --enable-checking=3Dyes --enable-gcc-warnings=3Dwarn-only=

  --enable-check-lisp-object-type=3Dwarn-only 'CFLAGS=3D-O0 -g3
  -Wno-logical-op -Wno-missing-braces''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS MODULES THREADS PDUMPER

Important settings:
   value of $LANG: DEA
   locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils help-fns
radix-tree cl-print debug backtrace help-mode easymenu find-func
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 8 57053 5749)
  (symbols 24 7161 1)
  (strings 16 20666 1951)
  (string-bytes 1 643171)
  (vectors 8 12211)
  (vector-slots 4 173280 17378)
  (floats 8 36 47)
  (intervals 28 304 1)
  (buffers 568 13))





Acknowledgement sent to martin rudalics <rudalics@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43609; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Sep 2020 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.